{
    "deduplication": {
        "enabled": false
    }, 
    "reduce": {
        "enabled": false, 
        "kept_variance": 0.0
    }, 
    "numerical_combinations": {
        "pairwiseLinear": false, 
        "polynomialInteraction": false
    }, 
    "target_remapping": [], 
    "per_feature": {
        "pages_visited": {
            "generate_derivative": false, 
            "missing_impute_with": "MEAN", 
            "name": "pages_visited", 
            "numerical_handling": "REGULAR", 
            "binarize_threshold_mode": "MEDIAN", 
            "state": {
                "dssWantsToModify": false, 
                "userModified": false, 
                "autoModifiedByDSS": false, 
                "recordedMeaning": "DoubleMeaning"
            }, 
            "role": "INPUT", 
            "quantile_bin_nb_bins": 4.0, 
            "binarize_constant_threshold": 0.0, 
            "missing_handling": "IMPUTE", 
            "rescaling": "AVGSTD", 
            "type": "NUMERIC", 
            "impute_constant_value": 0.0
        }, 
        "revenue": {
            "generate_derivative": false, 
            "name": "revenue", 
            "binarize_threshold_mode": "MEDIAN", 
            "state": {
                "dssWantsToModify": false, 
                "userModified": false, 
                "autoModifiedByDSS": false, 
                "recordedMeaning": "LongMeaning"
            }, 
            "role": "TARGET", 
            "binarize_constant_threshold": 0.0, 
            "quantile_bin_nb_bins": 4.0, 
            "type": "NUMERIC", 
            "impute_constant_value": 0.0
        }, 
        "ip": {
            "missing_impute_with": "MODE", 
            "name": "ip", 
            "hash_whole_categories": false, 
            "category_handling": "DUMMIFY", 
            "state": {
                "dssWantsToModify": false, 
                "userModified": false, 
                "autoModifiedByDSS": false, 
                "recordedMeaning": "IPAddress"
            }, 
            "role": "REJECT", 
            "max_nb_categories": 100.0, 
            "missing_handling": "IMPUTE", 
            "autoReason": "REJECT_IDENTIFIER", 
            "type": "CATEGORY"
        }, 
        "campain": {
            "name": "campain", 
            "hash_whole_categories": false, 
            "category_handling": "DUMMIFY", 
            "state": {
                "dssWantsToModify": false, 
                "userModified": false, 
                "autoModifiedByDSS": false, 
                "recordedMeaning": "Boolean"
            }, 
            "role": "INPUT", 
            "max_nb_categories": 100.0, 
            "missing_handling": "IMPUTE", 
            "missing_impute_with": "MODE", 
            "type": "CATEGORY"
        }, 
        "ip_country": {
            "name": "ip_country", 
            "hash_whole_categories": false, 
            "category_handling": "DUMMIFY", 
            "state": {
                "dssWantsToModify": false, 
                "userModified": false, 
                "autoModifiedByDSS": false, 
                "recordedMeaning": "CountryMeaning"
            }, 
            "role": "INPUT", 
            "max_nb_categories": 100.0, 
            "missing_handling": "IMPUTE", 
            "missing_impute_with": "MODE", 
            "type": "CATEGORY"
        }, 
        "customer_id": {
            "name": "customer_id", 
            "hash_whole_categories": false, 
            "category_handling": "DUMMIFY", 
            "state": {
                "dssWantsToModify": false, 
                "userModified": true, 
                "autoModifiedByDSS": false, 
                "recordedMeaning": "Text"
            }, 
            "role": "REJECT", 
            "max_nb_categories": 100.0, 
            "missing_handling": "IMPUTE", 
            "missing_impute_with": "MODE", 
            "type": "CATEGORY"
        }
    }, 
    "featureSelection": {
        "kind": "NONE", 
        "filterOnlyKBestNbToKeep": 10
    }, 
    "feature_generation": {
        "manual_interactions": {
            "interactions": []
        }, 
        "pairwise_linear": {
            "behavior": "DISABLED"
        }, 
        "polynomial_combinations": {
            "behavior": "DISABLED"
        }
    }
}